package com.bytedance.android.live.slot;

import X.2GD;
import X.AnonymousClass0CH;
import X.AnonymousClass14Z;
import X.C03060Bs;
import X.C03070Bt;
import X.C03090Bv;
import X.C03110Bx;
import X.C03120By;
import X.C265614c;
import X.C28491Bn;
import X.C39401hK;
import android.content.Context;
import android.util.Pair;
import android.view.View;
import android.view.animation.Animation;
import com.bytedance.covode.number.Covode;
import com.bytedance.provider.vm.ScopeViewModel;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public interface IFrameSlot {
    static {
        Covode.recordClassIndex(10592);
    }

    View LIZ(Context context);

    Animation LIZ();

    Animation LIZIZ();

    public static class SlotViewModel extends C03070Bt {
        public final C28491Bn<Pair<Boolean, String>> LIZ = new C28491Bn<>();
        public final C28491Bn<Boolean> LIZIZ = new C28491Bn<>();
        public final Map<AnonymousClass14Z, C28491Bn<Object>> LIZJ = new ConcurrentHashMap();

        static {
            Covode.recordClassIndex(10593);
        }

        public static C03110Bx LIZ(C39401hK r2) {
            C03110Bx LIZ2 = C03120By.LIZ(r2, (C03090Bv) null);
            if (2GD.LIZ) {
                C03060Bs.LIZ(LIZ2, r2);
            }
            return LIZ2;
        }

        public final void LIZ(AnonymousClass0CH r5) {
            this.LIZ.removeObservers(r5);
            this.LIZIZ.removeObservers(r5);
            this.LIZ.setValue(new Pair(false, "visibility_reason_dispose"));
            this.LIZIZ.setValue(null);
            for (C28491Bn<Object> removeObservers : this.LIZJ.values()) {
                removeObservers.removeObservers(r5);
            }
            this.LIZJ.clear();
        }

        public static SlotViewModel LIZ(C265614c r3, C39401hK r4) {
            C03110Bx LIZ2 = LIZ(r4);
            return (SlotViewModel) LIZ(LIZ2, r3.LJIIIIZZ().name() + r3.hashCode(), SlotViewModel.class);
        }

        public static C03070Bt LIZ(C03110Bx r2, String str, Class cls) {
            if (cls.equals(ScopeViewModel.class)) {
                return r2.LIZ(str, cls);
            }
            C03070Bt LIZ2 = r2.LIZ(str, cls);
            if (2GD.LIZ) {
                C03060Bs.LIZ(LIZ2, r2);
            }
            return LIZ2;
        }
    }
}
